Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class MIMETypes

    java.lang.Object
      writer2latex.office.MIMETypes

    public final class MIMETypes

extends java.lang.Object

Field Summary
`static java.lang.String` | `BIBTEX`
`static java.lang.String` | `BIBTEX_EXT`
`static java.lang.String` | `BMP`
`static java.lang.String` | `BMP_EXT`
`static byte[]` | `BMP_SIG`
`static java.lang.String` | `CALC`
`static java.lang.String` | `CHART`
`static java.lang.String` | `DRAW`
`static java.lang.String` | `EPS`
`static java.lang.String` | `EPS_EXT`
`static byte[]` | `EPS_SIG`
`static java.lang.String` | `GIF`
`static java.lang.String` | `GIF_EXT`
`static byte[]` | `GIF87_SIG`
`static byte[]` | `GIF89_SIG`
`static java.lang.String` | `IMPRESS`
`static java.lang.String` | `JPEG`
`static java.lang.String` | `JPEG_EXT`
`static byte[]` | `JPEG_SIG`
`static java.lang.String` | `LATEX`
`static java.lang.String` | `LATEX_EXT`
`static java.lang.String` | `MATH`
`static java.lang.String` | `ODF`
`static java.lang.String` | `ODP`
`static java.lang.String` | `ODS`
`static java.lang.String` | `ODT`
`static java.lang.String` | `PNG`
`static java.lang.String` | `PNG_EXT`
`static byte[]` | `PNG_SIG`
`static java.lang.String` | `SVM`
`static java.lang.String` | `SVM_EXT`
`static byte[]` | `SVM_SIG`
`static java.lang.String` | `TEXT`
`static java.lang.String` | `TIFF`
`static java.lang.String` | `TIFF_EXT`
`static byte[]` | `TIFF_SIG`
`static java.lang.String` | `WMF`
`static java.lang.String` | `WMF_EXT`
`static byte[]` | `WMF_SIG`
`static byte[]` | `WMF30_SIG`
`static java.lang.String` | `WRITER`
`static java.lang.String` | `XHTML`
`static java.lang.String` | `XHTML_EXT`
`static java.lang.String` | `XHTML_MATHML`
`static java.lang.String` | `XHTML_MATHML_EXT`
`static java.lang.String` | `XHTML_MATHML_XSL`
`static java.lang.String` | `XHTML_MATHML_XSL_EXT`
`static java.lang.String` | `ZIP`
`static byte[]` | `ZIP_SIG`

Constructor Summary
`MIMETypes()`

Method Summary
`static java.lang.String` | `getFileExtension(java.lang.String sMIME)`
`static java.lang.String` | `getMagicMIMEType(byte[] blob)`
`private static boolean` | `isType(byte[] blob, byte[] sig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRITER

    public static final java.lang.String WRITER

See Also:
  Constant Field Values

### CALC

    public static final java.lang.String CALC

See Also:
  Constant Field Values

### IMPRESS

    public static final java.lang.String IMPRESS

See Also:
  Constant Field Values

### DRAW

    public static final java.lang.String DRAW

See Also:
  Constant Field Values

### CHART

    public static final java.lang.String CHART

See Also:
  Constant Field Values

### MATH

    public static final java.lang.String MATH

See Also:
  Constant Field Values

### ODT

    public static final java.lang.String ODT

See Also:
  Constant Field Values

### ODS

    public static final java.lang.String ODS

See Also:
  Constant Field Values

### ODP

    public static final java.lang.String ODP

See Also:
  Constant Field Values

### ODF

    public static final java.lang.String ODF

See Also:
  Constant Field Values

### PNG

    public static final java.lang.String PNG

See Also:
  Constant Field Values

### JPEG

    public static final java.lang.String JPEG

See Also:
  Constant Field Values

### GIF

    public static final java.lang.String GIF

See Also:
  Constant Field Values

### TIFF

    public static final java.lang.String TIFF

See Also:
  Constant Field Values

### BMP

    public static final java.lang.String BMP

See Also:
  Constant Field Values

### WMF

    public static final java.lang.String WMF

See Also:
  Constant Field Values

### EPS

    public static final java.lang.String EPS

See Also:
  Constant Field Values

### SVM

    public static final java.lang.String SVM

See Also:
  Constant Field Values

### ZIP

    public static final java.lang.String ZIP

See Also:
  Constant Field Values

### XHTML

    public static final java.lang.String XHTML

See Also:
  Constant Field Values

### XHTML_MATHML

    public static final java.lang.String XHTML_MATHML

See Also:
  Constant Field Values

### XHTML_MATHML_XSL

    public static final java.lang.String XHTML_MATHML_XSL

See Also:
  Constant Field Values

### LATEX

    public static final java.lang.String LATEX

See Also:
  Constant Field Values

### BIBTEX

    public static final java.lang.String BIBTEX

See Also:
  Constant Field Values

### TEXT

    public static final java.lang.String TEXT

See Also:
  Constant Field Values

### PNG_SIG

    public static final byte[] PNG_SIG

### JPEG_SIG

    public static final byte[] JPEG_SIG

### GIF87_SIG

    public static final byte[] GIF87_SIG

### GIF89_SIG

    public static final byte[] GIF89_SIG

### TIFF_SIG

    public static final byte[] TIFF_SIG

### BMP_SIG

    public static final byte[] BMP_SIG

### WMF_SIG

    public static final byte[] WMF_SIG

### WMF30_SIG

    public static final byte[] WMF30_SIG

### EPS_SIG

    public static final byte[] EPS_SIG

### SVM_SIG

    public static final byte[] SVM_SIG

### ZIP_SIG

    public static final byte[] ZIP_SIG

### LATEX_EXT

    public static final java.lang.String LATEX_EXT

See Also:
  Constant Field Values

### BIBTEX_EXT

    public static final java.lang.String BIBTEX_EXT

See Also:
  Constant Field Values

### XHTML_EXT

    public static final java.lang.String XHTML_EXT

See Also:
  Constant Field Values

### XHTML_MATHML_EXT

    public static final java.lang.String XHTML_MATHML_EXT

See Also:
  Constant Field Values

### XHTML_MATHML_XSL_EXT

    public static final java.lang.String XHTML_MATHML_XSL_EXT

See Also:
  Constant Field Values

### PNG_EXT

    public static final java.lang.String PNG_EXT

See Also:
  Constant Field Values

### JPEG_EXT

    public static final java.lang.String JPEG_EXT

See Also:
  Constant Field Values

### GIF_EXT

    public static final java.lang.String GIF_EXT

See Also:
  Constant Field Values

### TIFF_EXT

    public static final java.lang.String TIFF_EXT

See Also:
  Constant Field Values

### BMP_EXT

    public static final java.lang.String BMP_EXT

See Also:
  Constant Field Values

### WMF_EXT

    public static final java.lang.String WMF_EXT

See Also:
  Constant Field Values

### EPS_EXT

    public static final java.lang.String EPS_EXT

See Also:
  Constant Field Values

### SVM_EXT

    public static final java.lang.String SVM_EXT

See Also:
  Constant Field Values

Constructor Detail

### MIMETypes

    public MIMETypes()

Method Detail

### isType

    private static final boolean isType(byte[] blob,
                                        byte[] sig)

### getMagicMIMEType

    public static final java.lang.String getMagicMIMEType(byte[] blob)

### getFileExtension

    public static final java.lang.String getFileExtension(java.lang.String sMIME)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD